html, body {
    /*font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;*/
    font-family: "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", "Liberation Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
height: 100%;
overflow: hidden;
}

a, .btn-link {
    color: #006bb7;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

/*.content {
    padding-top: 1.1rem;
}*/

h1 {
    font-weight: 700;
    font-size: 20px;
}

    h1:focus {
        outline: none;
    }

h2 {
    font-weight: 700;
    font-size: 18px;
}

h3 {
    color: rgb(107, 108, 114);
    font-weight: 600;
    font-size: 16px;
}

h4 {
    color: rgb(107, 108, 114);
    font-weight: 500;
    font-size: 14px;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}


.date-select {
    align-items: center;
    display: flex;
    column-gap: 8px;
    user-select: none;
}

.date-select > i {
    align-items: center;
    background-color: rgb(240, 240, 240);
    border-radius: 4px;
    color: rgb(17, 102, 180);
    cursor: pointer;
    display: flex;
    padding: 4px;
}

    .date-select > i:hover {
        background-color: rgb(231, 241, 249);
    }

.kb-popup-wrapper,
.kb-messagebox-wrapper,
.kb-messagebox {
    z-index: 9999;
}

.kb-popup-wrapper .kb-popup,
.kb-popup-wrapper .kb-popup .kb-popup-body {
    overflow: visible;
}

.kb-ribbon-bar {
    z-index: 400;
}

.page-summary {
    display: flex;
    column-gap: 20px;
    padding-bottom: 0px;
}


    .page-summary .summary-label {
        align-content: center;
        color: rgb(107, 108, 114);
        display: flex;
        column-gap: 8px;
        font-weight: 600;
        padding: 0 0 4px 4px;
    }

        .page-summary .summary-label > i {
            cursor: pointer;
            font-size: 12px;
            line-height: 14px;
        }

        .page-summary .summary-label > div {
            font-size: 14px;
            line-height: 1;
        }


    .page-summary .summary {
        border: 1px solid rgb(227, 229, 232);
        border-radius: 10px;
        display: flex;
        flex-direction: column;
        row-gap: 6px;
        padding: 4px 10px;
       
        /*width: 100%;*/
    }

        .page-summary .summary > div {
            display: flex;
            justify-content: space-between;
        }

            .page-summary .summary > div > div:first-child {
                color: rgb(107, 108, 114);
            }

        .page-summary .summary .negative {
            color: rgb(212, 38, 38);
        }

        .page-summary .summary .positive {
            color: rgb(53, 161, 108);
        }

        .page-summary .summary > table {
            font-size: 14px;
            /*table-layout: fixed;*/
        }

            .page-summary .summary > table th,
            .page-summary .summary > table tr td:not(:first-child) {
                text-align: right;
            }

            .page-summary .summary > table th {
                color: rgb(120, 120, 120);
                font-size: .9em;
                font-weight: 400;
            }

            .page-summary .summary > table tr td {
                width: 90px;
            }

            .page-summary .summary > table tr.income > td:not(:first-child),
            .page-summary .summary > table td.income {
                color: rgb(53, 161, 108);
            }

            .page-summary .summary > table tr.spending > td:not(:first-child),
            .page-summary .summary > table td.spending {
                color: rgb(212, 38, 38);
            }

            .page-summary .summary > table > tbody > tr:last-child {
                border-top: 1px solid rgb(227, 229, 232);
            }

            .page-summary .summary > table.previous-month tr > *:nth-child(3) {
                display: none;
            }

            .page-summary .summary > table > tbody > tr > td {
                padding: 5px 0;
            }

.form-switch > .form-check-input:focus {
    box-shadow: none;
}

.form-switch > .form-check-input {
    height: 16px;
    width: 32px;
}

